Bug 251419 - Review Request: mdbtools - Access data stored in Microsoft Access databases
Review Request: mdbtools - Access data stored in Microsoft Access databases
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-08 17:18 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 17:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
gdb log of gmdb2 (7.53 KB, text/plain)
2007-08-13 12:59 EDT, Mamoru TASAKA
no flags Details
(another) gdb log of gmdb2 (11.44 KB, text/plain)
2007-08-14 02:44 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Hans de Goede 2007-08-08 17:18:05 EDT
Spec URL: http://people.atrpms.net/~hdegoede/mdbtools.spec
SRPM URL: http://people.atrpms.net/~hdegoede/mdbtools-0.5-1.fc8.src.rpm
Description:
MDB Tools is a suite of programs for accessing data stored in Microsoft
Access databases.

---

Note to reviewers, this package has been declated patent issues free by Spot ("Tom \"spot\" Callaway" <tcallawa@redhat.com>).
Comment 1 Ville Skyttä 2007-08-10 06:11:35 EDT
Already submitted in bug 239968, although that one seems stalled.
Comment 2 Hans de Goede 2007-08-10 06:30:00 EDT
(In reply to comment #1)
> Already submitted in bug 239968, although that one seems stalled.

Oops, I added a comment there pinging the submitter and trying to coordinate.
Comment 3 Hans de Goede 2007-08-13 02:09:19 EDT
The other review turns out to be dead (just closed by the reviewer) so anyone
interested, feel free to review this.
Comment 4 Mamoru TASAKA 2007-08-13 04:34:13 EDT
Just tried to rebuild (on rawhide) but it failed..
http://koji.fedoraproject.org/koji/taskinfo?taskID=99778
Comment 5 Hans de Goede 2007-08-13 10:49:44 EDT
(In reply to comment #4)
> Just tried to rebuild (on rawhide) but it failed..
> http://koji.fedoraproject.org/koji/taskinfo?taskID=99778

Hmm, so it turns out some parts use glib1 and other parts glib2, not pretty,
anyways I've just updated to a new version, because of some other issues. And
that fixes the need for glib1 too (no longer needed), here is the new version:

Spec URL: http://people.atrpms.net/~hdegoede/mdbtools.spec
SRPM URL: http://people.atrpms.net/~hdegoede/mdbtools-0.6-0.1.pre1.fc8.src.rpm
Comment 6 Mamoru TASAKA 2007-08-13 12:59:39 EDT
Created attachment 161187 [details]
gdb log of gmdb2

rebuild seems okay.
http://koji.fedoraproject.org/koji/taskinfo?taskID=100188

Some notes:

* Dependency for -devel subpackage
  - Check the dependency for -devel subpackage. Header files
    included in this package contains some "#include" macros,
    which require some additional development rpms.
    (maybe pkgconfig .pc files also need to be fixed)

* GUI program causes SEGV
  - /usr/bin/gmdb2 causes SEGV when File->Properties is selected
    (gdb log attached)
Comment 7 Hans de Goede 2007-08-13 14:36:03 EDT
(In reply to comment #6)
> Created an attachment (id=161187) [edit]
> gdb log of gmdb2
> 
> rebuild seems okay.
> http://koji.fedoraproject.org/koji/taskinfo?taskID=100188
> 
> Some notes:
> 
> * Dependency for -devel subpackage
>   - Check the dependency for -devel subpackage. Header files
>     included in this package contains some "#include" macros,
>     which require some additional development rpms.
>     (maybe pkgconfig .pc files also need to be fixed)
> 

Hmm, it installed headers used for building the tools too, fixed. Added
glib2-devel Requires as that one gets used by the lib headers too. The .pc files
were/are fine.

> * GUI program causes SEGV
>   - /usr/bin/gmdb2 causes SEGV when File->Properties is selected
>     (gdb log attached)

Ah it allows you to press properties without having a file open, fixed.

New version:
* Mon Aug 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.6-0.2.pre1
- Stop gmdb from crashing when selecting file->properties without having a file
  loaded (bz 251419)
- Don't install headers used to build tools (install only those of libmdb)
- Add glib2-devel to the -devel Requires

Spec URL: http://people.atrpms.net/~hdegoede/mdbtools.spec
SRPM URL: http://people.atrpms.net/~hdegoede/mdbtools-0.6-0.2.pre1.fc8.src.rpm
Comment 8 Mamoru TASAKA 2007-08-14 02:44:25 EDT
Created attachment 161254 [details]
(another) gdb log of gmdb2

Almost okay, except that I found another crash..

When I clicked cross button, gdmb2 SEGVs.
gdm log attached (this is due to gtk2 side bug?)
Comment 9 Hans de Goede 2007-08-14 17:38:18 EDT
(In reply to comment #8)
> Almost okay, except that I found another crash..
> 
> When I clicked cross button, gdmb2 SEGVs.
> gdm log attached (this is due to gtk2 side bug?) 

Alsmost the same issue as with the properties, this is fixed now too:

Spec URL: http://people.atrpms.net/~hdegoede/mdbtools.spec
SRPM URL: http://people.atrpms.net/~hdegoede/mdbtools-0.6-0.2.pre1.fc8.src.rpm
Comment 10 Hans de Goede 2007-08-14 17:38:51 EDT
Oops, the fixed srpm should be:
SRPM URL: http://people.atrpms.net/~hdegoede/mdbtools-0.6-0.3.pre1.fc8.src.rpm

Comment 11 Mamoru TASAKA 2007-08-15 03:33:44 EDT
(I have not rebuilt and installed -0.3 yet)

One question:
While rpm name has "pre1", there is a patch for pre1 -> cvs20051109
and so this is essentially the version "cvs 2005-11-09", not "pre1"?
Comment 12 Hans de Goede 2007-08-15 03:44:51 EDT
(In reply to comment #11)
> (I have not rebuilt and installed -0.3 yet)
> 
> One question:
> While rpm name has "pre1", there is a patch for pre1 -> cvs20051109
> and so this is essentially the version "cvs 2005-11-09", not "pre1"?

True, especially considering the large amount of changes in the cvs patch. I'll
change the release field to 0.x.cvs20051109 with the next iteration.
Comment 13 Mamoru TASAKA 2007-08-15 07:02:46 EDT
Okay.

* Build okay
  http://koji.fedoraproject.org/koji/taskinfo?taskID=103010
* Spec file okay
* Seems to work well

------------------------------------------------
    This package (mdbtools) is APPROVED by me
------------------------------------------------
Comment 14 Hans de Goede 2007-08-15 08:16:30 EDT
New Package CVS Request
=======================
Package Name:      mdbtools
Short Description: Access data stored in Microsoft Access databases
Owners:            jwrdegoede / j.w.r.degoede@hhs.nl
Branches:          FC-6 F-7 devel
InitialCC:         <empty>
Commits by cvsextras: yes

Comment 15 Kevin Fenzi 2007-08-15 14:46:53 EDT
cvs done.
Comment 16 Hans de Goede 2007-08-15 17:33:09 EDT
Thanks for the review!

Imported and build, closing.

Note You need to log in before you can comment on or make changes to this bug.